import { DynamoDB } from 'aws-sdk';
import { ConfigurationOptions } from 'aws-sdk/lib/config-base';
import { AutoscalingConfig } from './DynamodbEventStore';
export declare function createTable(tableSpecification: DynamoDB.CreateTableInput, options: {
    waitTimeout?: number;
    statusCheckInterval?: number;
    dynamodb: DynamoDB;
    ttl?: boolean;
}): Promise<{
    tableWasCreated: boolean;
} | undefined>;
export declare function deleteTable(tableName: string, options: {
    waitTimeout?: number;
    statusCheckInterval?: number;
    dynamodb: DynamoDB;
}): Promise<void>;
export declare function setupAutoScaling(tableName: string, autoscalingConfig: AutoscalingConfig, options?: {
    awsConfig?: ConfigurationOptions;
}): Promise<void>;
export declare function removeAutoScaling(tableName: string, awsConfig?: ConfigurationOptions): Promise<void>;
